#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD4,0xB0,0x0F,0x1F,0x7C,0x33,0x97,0x67,0xDD,0xDF,0x6D,0xC8,
		0x49,0x52,0x6C,0x9E,0x2A,0x60,0x35,0x15,0x6D,0x47,0xB4,0x83,
		0xD2,0xEF,0x6B,0xAA,0xB7,0xFC,0xDD,0xEF,0x54,0x28,0x4F,0xD1,
		0x1C,0x92,0x97,0xD5,0xCF,0xF6,0xAD,0x5F,0xDB,0x82,0xDE,0xD4,
		0x0D,0x40,0x05,0xF1,0x4C,0xD2,0xB4,0x36,0xFE,0x60,0xC5,0xD8,
		0x1C,0x7E,0x56,0xCB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
